# spec based on work by Florin Andrei

Name: inotail
Summary:  An inotify-enabled tail replacement
Version: 0.5
Release: 4%{?dist}
License: GPLv2
Group: Applications/System
URL: http://distanz.ch/inotail/
Source0: http://distanz.ch/inotail/%{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description 
inotail is a replacement for the 'tail' program found in the base
installation of every Linux/UNIX system. It makes use of the inotify
infrastructure in recent versions of the Linux kernel to speed up
tailing files in the follow mode (the '-f' option). Standard tail polls
the file every second by default while inotail listens to special events
sent by the kernel through the inotify API to determine whether a file
needs to be reread.

%prep 
%setup -q

%build 
CFLAGS="%{optflags}" make %{?_smp_mflags}

%install 
rm -fr %{buildroot}
make install DESTDIR=%{buildroot} MANDIR=%{buildroot}%{_mandir}/man1 prefix=%{buildroot}/usr
chmod 0755 %{buildroot}/usr/bin/inotail

%clean 
rm -fr %{buildroot}

%files 
%defattr(-,root,root,-) 
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%doc README changelog LICENSE

%changelog
* Thu Feb 14 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5-4
- Autorebuild for GCC 4.3

* Thu Dec 06 2007 Jesse Keating <jkeating@redhat.com> - 0.5-3
- Add our standard cflags to the compile set

* Wed Dec 05 2007 Jesse Keating <jkeating@redhat.com> - 0.5-2
- Update for Fedora packaging guidelines
- Clarify the license

* Wed Dec 05 2007 Florin Andrei <florin@andrei.myip.org>
- v 0.5-1
